Bug 445685 (CVE-2008-2108) - CVE-2008-2108 PHP weak 64 bit random seed
Summary: CVE-2008-2108 PHP weak 64 bit random seed
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-2108
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On: 445917 445919 445920 445921 445922 445923 445924 445925
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-08 14:40 UTC by Josh Bressers
Modified: 2019-09-29 12:24 UTC (History)
2 users (show)

Fixed In Version: 5.2.6-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-30 06:44:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0505 normal SHIPPED_LIVE Moderate: Red Hat Application Stack v2.1 security and enhancement update 2008-07-02 13:15:28 UTC
Red Hat Product Errata RHSA-2008:0544 normal SHIPPED_LIVE Moderate: php security update 2008-07-16 09:46:17 UTC
Red Hat Product Errata RHSA-2008:0545 normal SHIPPED_LIVE Moderate: php security and bug fix update 2008-07-16 09:57:19 UTC
Red Hat Product Errata RHSA-2008:0546 normal SHIPPED_LIVE Moderate: php security update 2008-07-16 09:59:22 UTC
Red Hat Product Errata RHSA-2008:0582 normal SHIPPED_LIVE Moderate: php security update 2008-07-22 12:30:50 UTC

Description Josh Bressers 2008-05-08 14:40:17 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-2108 to the following vulnerability:

The GENERATE_SEED macro in PHP 4.x before 4.4.8 and 5.x before 5.2.5, when running on 64-bit systems, performs a multiplication that generates a portion of zero bits during conversion due to insufficient precision, which produces 24 bits of entropy and simplifies brute force attacks against protection mechanisms that use the rand and mt_rand functions.

Refences:
http://www.securityfocus.com/archive/1/archive/1/491683/100/0/threaded
http://archives.neohapsis.com/archives/fulldisclosure/2008-05/0103.html
http://www.sektioneins.de/advisories/SE-2008-02.txt
http://xforce.iss.net/xforce/xfdb/42226

Comment 3 Fedora Update System 2008-06-14 04:19:45 UTC
php-5.2.6-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3606

Comment 4 Fedora Update System 2008-06-20 19:08:12 UTC
php-5.2.6-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-06-20 19:09:24 UTC
php-5.2.6-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.